Index: drivers/scsi/qla1280.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/qla1280.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/qla1280.c	22 Jul 2004 19:50:06 -0000	1.1
+++ drivers/scsi/qla1280.c	4 Aug 2004 01:29:36 -0000	1.2
@@ -3440,112 +3183,108 @@
  * Returns:
  *      0 = success
  */
-STATIC uint8_t
-qla1280_mailbox_command(scsi_qla_host_t *ha, uint8_t mr, uint16_t *mb)
+static int
+qla1280_mailbox_command(struct scsi_qla_host *ha, uint8_t mr, uint16_t *mb)
 {
-    device_reg_t *reg   = ha->iobase;
-    uint8_t      status = 0;
-    uint32_t     cnt;
-    uint16_t     *optr, *iptr;
-    uint16_t     data;
-    srb_t        *done_q_first = 0;
-    srb_t        *done_q_last = 0;
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,1,95)
-    unsigned long cpu_flags = 0;
-#endif
-
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_mailbox_command");
-#endif
-
-    /* Acquire interrupt specific lock */
-    QLA1280_INTR_LOCK(ha);
-    DRIVER_LOCK
-            ha->flags.mbox_busy = TRUE;
-
-    /* Load mailbox registers. */
-    optr = (uint16_t *)&reg->mailbox0;
-    iptr = mb;
-    for (cnt = 0; cnt < MAILBOX_REGISTER_COUNT; cnt++)
-    {
-        if (mr & BIT_0)
-        {
-            WRT_REG_WORD(optr, (*iptr));
-        }
-
-        mr >>= 1;
-        optr++;
-        iptr++;
-    }
-    /* Issue set host interrupt command. */
-    ha->flags.mbox_int = FALSE;
-    WRT_REG_WORD(&reg->host_cmd, HC_SET_HOST_INT);
-    data = qla1280_debounce_register(&reg->istatus);
-
-    /* Wait for 30 seconds for command to finish. */
-    for (cnt = 30000000; cnt > 0 && !ha->flags.mbox_int; cnt--)
-    {
-        /* Check for pending interrupts. */
-        if (data & RISC_INT)
-        {
-            qla1280_isr(ha, (srb_t **)&done_q_first, (srb_t **)&done_q_last);
-        }
-        SYS_DELAY(1);
-        data = RD_REG_WORD(&reg->istatus);
-    }
-
-    /* Check for mailbox command timeout. */
-    if ( !cnt )
-    {
-#ifdef QL_DEBUG_LEVEL_2
-        qla1280_print(
-                "qla1280_mailbox_command: **** Command Timeout, mailbox0 = ");
-        qla1280_output_number((uint32_t)mb[0], 16);
-        qla1280_print(" ****\n\r");
-#endif
-        ha->flags.isp_abort_needed = TRUE; 
-        status = 1;
-    }
-    else if (ha->mailbox_out[0] != MBS_CMD_CMP)
-        status = 1;
-
-    /* Load return mailbox registers. */
-    optr = mb;
-    iptr = (uint16_t *)&ha->mailbox_out[0];
-    mr = MAILBOX_REGISTER_COUNT;
-    while (mr--)
-        *optr++ = *iptr++;
-
-    /* Go check for any response interrupts pending. */
-    ha->flags.mbox_busy = FALSE;
-    qla1280_isr(ha, (srb_t **)&done_q_first, (srb_t **)&done_q_last);
-
-    /* Release interrupt specific lock */
-    QLA1280_INTR_UNLOCK(ha);
-    DRIVER_UNLOCK
-
-            if (ha->flags.isp_abort_needed)
-        qla1280_abort_isp(ha);
-
-    if (ha->flags.reset_marker)
-        qla1280_rst_aen(ha);
-
-    if (done_q_first)
-        qla1280_done(ha, (srb_t **)&done_q_first, (srb_t **)&done_q_last);
-
-#if defined(QL_DEBUG_LEVEL_2) || defined(QL_DEBUG_LEVEL_3)
-    if (status)
-    {
-        qla1280_print("qla1280_mailbox_command: **** FAILED, mailbox0 = ");
-        qla1280_output_number((uint32_t)mb[0], 16);
-        qla1280_print(" ****\n\r");
-    }
-#endif
-#ifdef QL_DEBUG_LEVEL_3
-    else
-        LEAVE("qla1280_mailbox_command");
+	struct device_reg *reg = ha->iobase;
+#if 0
+	struct srb *done_q_first = 0;
+	struct srb *done_q_last = 0;
+#endif
+	int status = 0;
+	int cnt;
+	uint16_t *optr, *iptr;
+	uint16_t data;
+	DECLARE_COMPLETION(wait);
+	struct timer_list timer;
+
+	ENTER("qla1280_mailbox_command");
+
+	ha->flags.mbox_busy = 1;
+
+	if (ha->mailbox_wait) {
+		printk(KERN_ERR "Warning mailbox wait already in use!\n");
+	}
+	ha->mailbox_wait = &wait;
+
+	/*
+	 * We really should start out by verifying that the mailbox is
+	 * available before starting sending the command data
+	 */
+	/* Load mailbox registers. */
+	optr = (uint16_t *) &reg->mailbox0;
+	iptr = mb;
+	for (cnt = 0; cnt < MAILBOX_REGISTER_COUNT; cnt++) {
+		if (mr & BIT_0) {
+			WRT_REG_WORD(optr, (*iptr));
+		}
+
+		mr >>= 1;
+		optr++;
+		iptr++;
+	}
+
+	/* Issue set host interrupt command. */
+	ha->flags.mbox_busy = 0;
+
+	/* set up a timer just in case we're really jammed */
+	init_timer(&timer);
+	timer.expires = jiffies + 20*HZ;
+	timer.data = (unsigned long)ha;
+	timer.function = qla1280_mailbox_timeout;
+	add_timer(&timer);
+
+	spin_unlock_irq(HOST_LOCK);
+	WRT_REG_WORD(&reg->host_cmd, HC_SET_HOST_INT);
+	data = qla1280_debounce_register(&reg->istatus);
+
+	wait_for_completion(&wait);
+	del_timer_sync(&timer);
+
+	spin_lock_irq(HOST_LOCK);
+
+	ha->mailbox_wait = NULL;
+
+	/* Check for mailbox command timeout. */
+	if (ha->mailbox_out[0] != MBS_CMD_CMP) {
+		printk(KERN_WARNING "qla1280_mailbox_command: Command failed, "
+		       "mailbox0 = 0x%04x, mailbox_out0 = 0x%04x, istatus = "
+		       "0x%04x\n", 
+		       mb[0], ha->mailbox_out[0], RD_REG_WORD(&reg->istatus));
+		printk(KERN_WARNING "m0 %04x, m1 %04x, m2 %04x, m3 %04x\n",
+		       RD_REG_WORD(&reg->mailbox0), RD_REG_WORD(&reg->mailbox1),
+		       RD_REG_WORD(&reg->mailbox2), RD_REG_WORD(&reg->mailbox3));
+		printk(KERN_WARNING "m4 %04x, m5 %04x, m6 %04x, m7 %04x\n",
+		       RD_REG_WORD(&reg->mailbox4), RD_REG_WORD(&reg->mailbox5),
+		       RD_REG_WORD(&reg->mailbox6), RD_REG_WORD(&reg->mailbox7));
+		status = 1;
+	}
+
+	/* Load return mailbox registers. */
+	optr = mb;
+	iptr = (uint16_t *) &ha->mailbox_out[0];
+	mr = MAILBOX_REGISTER_COUNT;
+	memcpy(optr, iptr, MAILBOX_REGISTER_COUNT * sizeof(uint16_t));
+
+#if 0
+	/* Go check for any response interrupts pending. */
+	qla1280_isr(ha, &done_q_first, &done_q_last);
+#endif
+
+	if (ha->flags.reset_marker)
+		qla1280_rst_aen(ha);
+
+#if 0
+	if (done_q_first)
+		qla1280_done (ha, &done_q_first, &done_q_last);
 #endif
-    return(status);
+
+	if (status)
+		dprintk(2, "qla1280_mailbox_command: **** FAILED, mailbox0 = "
+			"0x%x ****\n", mb[0]);
+
+	LEAVE("qla1280_mailbox_command");
+	return status;
 }
 
 /*
@@ -3555,43 +3294,30 @@
  * Input:
  *      ha = adapter block pointer.
  */
-STATIC void
-qla1280_poll(scsi_qla_host_t *ha)
+static void
+qla1280_poll(struct scsi_qla_host *ha)
 {
-    device_reg_t    *reg   = ha->iobase;
-    uint16_t        data;
-    srb_t           *done_q_first = 0;
-    srb_t           *done_q_last = 0;
-
-#ifdef QL_DEBUG_LEVEL_3
-    /* ENTER("qla1280_poll"); */
-#endif
-
-    /* Acquire interrupt specific lock */
-    QLA1280_INTR_LOCK(ha);
-
-    /* Check for pending interrupts. */
-    data = RD_REG_WORD(&reg->istatus);
-    if (data & RISC_INT)
-        qla1280_isr(ha, (srb_t **)&done_q_first, (srb_t **)&done_q_last);
-
-    /* Release interrupt specific lock */
-    QLA1280_INTR_UNLOCK(ha);
-
-    if (!ha->flags.mbox_busy)
-    {
-        if (ha->flags.isp_abort_needed)
-            qla1280_abort_isp(ha);
-        if (ha->flags.reset_marker)
-            qla1280_rst_aen(ha);
-    }
+	struct device_reg *reg = ha->iobase;
+	uint16_t data;
+	struct srb *done_q_first = 0;
+	struct srb *done_q_last = 0;
+
+	/* ENTER("qla1280_poll"); */
+
+	/* Check for pending interrupts. */
+	data = RD_REG_WORD(&reg->istatus);
+	if (data & RISC_INT)
+		qla1280_isr(ha, &done_q_first, &done_q_last);
+
+	if (!ha->flags.mbox_busy) {
+		if (ha->flags.reset_marker)
+			qla1280_rst_aen(ha);
+	}
 
-    if (done_q_first)
-        qla1280_done(ha, (srb_t **)&done_q_first, (srb_t **)&done_q_last);
+	if (done_q_first)
+		qla1280_done(ha, &done_q_first, &done_q_last);
 
-#ifdef QL_DEBUG_LEVEL_3
-    /* LEAVE("qla1280_poll"); */
-#endif
+	/* LEAVE("qla1280_poll"); */
 }
 
 /*
@@ -3599,54 +3325,58 @@
  *      Issue SCSI bus reset.
  *
  * Input:
- *      ha = adapter block pointer.
- *      b  = SCSI bus number.
+ *      ha  = adapter block pointer.
+ *      bus = SCSI bus number.
  *
  * Returns:
  *      0 = success
  */
-STATIC uint8_t
-qla1280_bus_reset(scsi_qla_host_t *ha, uint8_t b)
+static int
+qla1280_bus_reset(struct scsi_qla_host *ha, int bus)
 {
-    uint8_t     status;
-    uint16_t    mb[MAILBOX_REGISTER_COUNT];
+	uint16_t mb[MAILBOX_REGISTER_COUNT];
+	uint16_t reset_delay;
+	int status;
+
+	dprintk(3, "qla1280_bus_reset: entered\n");
+
+	if (qla1280_verbose)
+		printk(KERN_INFO "scsi(%li:%i): Resetting SCSI BUS\n",
+		       ha->host_no, bus);
+
+	reset_delay = ha->bus_settings[bus].bus_reset_delay;
+	mb[0] = MBC_BUS_RESET;
+	mb[1] = reset_delay;
+	mb[2] = (uint16_t) bus;
+	status = qla1280_mailbox_command(ha, BIT_2 | BIT_1 | BIT_0, &mb[0]);
+
+	if (status) {
+		if (ha->bus_settings[bus].failed_reset_count > 2)
+			ha->bus_settings[bus].scsi_bus_dead = 1;
+		ha->bus_settings[bus].failed_reset_count++;
+	} else {
+		spin_unlock_irq(HOST_LOCK);
+		schedule_timeout(reset_delay * HZ);
+		spin_lock_irq(HOST_LOCK);
+
+		ha->bus_settings[bus].scsi_bus_dead = 0;
+		ha->bus_settings[bus].failed_reset_count = 0;
+		ha->bus_settings[bus].reset_marker = 0;
+		/* Issue marker command. */
+		qla1280_marker(ha, bus, 0, 0, MK_SYNC_ALL);
+	}
 
-#ifdef QL_DEBUG_LEVEL_3
-    qla1280_print("qla1280_bus_reset: entered\n\r");
-#endif
-   if( qla1280_verbose )
-   {
-    printk("scsi(%d): Resetting SCSI BUS (%d)\n",(int)ha->host_no,b);
-   }
-
-    mb[0] = MBC_BUS_RESET;
-    mb[1] = ha->bus_settings[b].bus_reset_delay;
-    mb[2] = (uint16_t)b;
-    status = qla1280_mailbox_command(ha, BIT_2|BIT_1|BIT_0, &mb[0]);
-
-    if (status)
-    {
-        if (ha->bus_settings[b].failed_reset_count > 2)                  /* dg - 03/13/99 */
-            ha->bus_settings[b].scsi_bus_dead = TRUE;
-        ha->bus_settings[b].failed_reset_count++;
-    }
+	/*
+	 * We should probably call qla1280_set_target_parameters()
+	 * here as well for all devices on the bus.
+	 */
+
+	if (status)
+		dprintk(2, "qla1280_bus_reset: **** FAILED ****\n");
 	else
-    {
-       QLA1280_DELAY(4);
-       ha->bus_settings[b].scsi_bus_dead = FALSE;                         /* dg - 03/13/99 */
-       ha->bus_settings[b].failed_reset_count = 0;
-       /* Issue marker command. */
-       qla1280_marker(ha, b, 0, 0, MK_SYNC_ALL);
-    }
-#if defined(QL_DEBUG_LEVEL_2) || defined(QL_DEBUG_LEVEL_3)
-    if (status)
-        qla1280_print("qla1280_bus_reset: **** FAILED ****\n\r");
-#endif
-#ifdef QL_DEBUG_LEVEL_3
-    else
-        qla1280_print("qla1280_bus_reset: exiting normally\n\r");
-#endif
-    return(status);
+		dprintk(3, "qla1280_bus_reset: exiting normally\n");
+
+	return status;
 }
 
 /*
@@ -3654,40 +3384,34 @@
  *      Issue bus device reset message to the target.
  *
  * Input:
- *      ha = adapter block pointer.
- *      b  = SCSI BUS number.
- *      t  = SCSI ID.
+ *      ha      = adapter block pointer.
+ *      bus     = SCSI BUS number.
+ *      target  = SCSI ID.
  *
  * Returns:
  *      0 = success
  */
-STATIC uint8_t
-qla1280_device_reset(scsi_qla_host_t *ha, uint8_t b, uint32_t t)
+static int
+qla1280_device_reset(struct scsi_qla_host *ha, int bus, int target)
 {
-    uint8_t     status;
-    uint16_t    mb[MAILBOX_REGISTER_COUNT];
+	uint16_t mb[MAILBOX_REGISTER_COUNT];
+	int status;
 
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_device_reset");
-#endif
+	ENTER("qla1280_device_reset");
 
-    mb[0] = MBC_ABORT_TARGET;
-    mb[1] = (b ? (t | BIT_7) : t) << 8;
-    mb[2] = 1;
-    status = qla1280_mailbox_command(ha, BIT_2|BIT_1|BIT_0, &mb[0]);
+	mb[0] = MBC_ABORT_TARGET;
+	mb[1] = (bus ? (target | BIT_7) : target) << 8;
+	mb[2] = 1;
+	status = qla1280_mailbox_command(ha, BIT_2 | BIT_1 | BIT_0, &mb[0]);
 
-    /* Issue marker command. */
-    qla1280_marker(ha, b, t, 0, MK_SYNC_ID);
+	/* Issue marker command. */
+	qla1280_marker(ha, bus, target, 0, MK_SYNC_ID);
 
-#if defined(QL_DEBUG_LEVEL_2) || defined(QL_DEBUG_LEVEL_3)
-    if (status)
-        qla1280_print("qla1280_device_reset: **** FAILED ****\n\r");
-#endif
-#ifdef QL_DEBUG_LEVEL_3
-    else
-        LEAVE("qla1280_device_reset");
-#endif
-    return(status);
+	if (status)
+		dprintk(2, "qla1280_device_reset: **** FAILED ****\n");
+
+	LEAVE("qla1280_device_reset");
+	return status;
 }
 
 /*
@@ -3695,40 +3419,34 @@
  *      Issue an abort message to the device
  *
  * Input:
- *      ha = adapter block pointer.
- *      b  = SCSI BUS.
- *      t  = SCSI ID.
- *      l  = SCSI LUN.
+ *      ha     = adapter block pointer.
+ *      bus    = SCSI BUS.
+ *      target = SCSI ID.
+ *      lun    = SCSI LUN.
  *
  * Returns:
  *      0 = success
  */
-STATIC uint8_t
-qla1280_abort_device(scsi_qla_host_t *ha, uint8_t b, uint32_t t, uint32_t l)
+static int
+qla1280_abort_device(struct scsi_qla_host *ha, int bus, int target, int lun)
 {
-    uint8_t     status;
-    uint16_t    mb[MAILBOX_REGISTER_COUNT];
+	uint16_t mb[MAILBOX_REGISTER_COUNT];
+	int status;
 
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_abort_device");
-#endif
+	ENTER("qla1280_abort_device");
 
-    mb[0] = MBC_ABORT_DEVICE;
-    mb[1] = (b ? t | BIT_7 : t) << 8 | l;
-    status = qla1280_mailbox_command(ha, BIT_1|BIT_0, &mb[0]);
+	mb[0] = MBC_ABORT_DEVICE;
+	mb[1] = (bus ? target | BIT_7 : target) << 8 | lun;
+	status = qla1280_mailbox_command(ha, BIT_1 | BIT_0, &mb[0]);
 
-    /* Issue marker command. */
-    qla1280_marker(ha, b, t, l, MK_SYNC_ID_LUN);
+	/* Issue marker command. */
+	qla1280_marker(ha, bus, target, lun, MK_SYNC_ID_LUN);
 
-#if defined(QL_DEBUG_LEVEL_2) || defined(QL_DEBUG_LEVEL_3)
-    if (status)
-        qla1280_print("qla1280_abort_device: **** FAILED ****\n\r");
-#endif
-#ifdef QL_DEBUG_LEVEL_3
-    else
-        LEAVE("qla1280_abort_device");
-#endif
-    return(status);
+	if (status)
+		dprintk(2, "qla1280_abort_device: **** FAILED ****\n");
+
+	LEAVE("qla1280_abort_device");
+	return status;
 }
 
 /*
@@ -3742,41 +3460,35 @@
  * Returns:
  *      0 = success
  */
-STATIC uint8_t
-qla1280_abort_command(scsi_qla_host_t *ha, srb_t *sp)
+static int
+qla1280_abort_command(struct scsi_qla_host *ha, struct srb * sp, int handle)
 {
-    uint8_t         status;
-    uint16_t        mb[MAILBOX_REGISTER_COUNT];
-    uint32_t        b, t, l;
-    uint32_t        handle;
+	uint16_t mb[MAILBOX_REGISTER_COUNT];
+	unsigned int bus, target, lun;
+	int status;
+
+	ENTER("qla1280_abort_command");
+
+	bus = SCSI_BUS_32(sp->cmd);
+	target = SCSI_TCN_32(sp->cmd);
+	lun = SCSI_LUN_32(sp->cmd);
+
+	sp->flags |= SRB_ABORT_PENDING;
+
+	mb[0] = MBC_ABORT_COMMAND;
+	mb[1] = (bus ? target | BIT_7 : target) << 8 | lun;
+	mb[2] = handle >> 16;
+	mb[3] = handle & 0xffff;
+	status = qla1280_mailbox_command(ha, 0x0f, &mb[0]);
+
+	if (status) {
+		dprintk(2, "qla1280_abort_command: **** FAILED ****\n");
+		sp->flags &= ~SRB_ABORT_PENDING;
+	}
 
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_abort_command");
-#endif
 
-    /* Locate handle number. */
-    for (handle = 0; handle < MAX_OUTSTANDING_COMMANDS; handle++)
-        if (ha->outstanding_cmds[handle] == sp)
-            break;
-
-                b  = SCSI_BUS_32(sp->cmd);
-        t  = SCSI_TCN_32(sp->cmd);
-        l  = SCSI_LUN_32(sp->cmd);
-
-        mb[0] = MBC_ABORT_COMMAND;
-        mb[1] = (b ? t | BIT_7 : t) << 8 | l;
-        mb[2] = handle >> 16;
-        mb[3] = (uint16_t)handle;
-        status = qla1280_mailbox_command(ha, BIT_3|BIT_2|BIT_1|BIT_0, &mb[0]);
-
-#if defined(QL_DEBUG_LEVEL_2) || defined(QL_DEBUG_LEVEL_3)
-        if (status)
-            qla1280_print("qla1280_abort_command: **** FAILED ****\n\r");
-#endif
-        sp->flags |= SRB_ABORT_PENDING;
-
-        LEAVE("qla1280_abort_command");
-        return(status);
+	LEAVE("qla1280_abort_command");
+	return status;
 }
 
 /*
@@ -3786,25 +3498,21 @@
  * Input:
  *      ha = adapter block pointer.
  */
-STATIC void
-qla1280_reset_adapter(scsi_qla_host_t *ha)
+static void
+qla1280_reset_adapter(struct scsi_qla_host *ha)
 {
-    device_reg_t *reg = ha->iobase;
+	struct device_reg *reg = ha->iobase;
 
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_reset_adapter");
-#endif
+	ENTER("qla1280_reset_adapter");
 
-    /* Disable ISP chip */
-    ha->flags.online = FALSE;
-    WRT_REG_WORD(&reg->ictrl, ISP_RESET);
-    WRT_REG_WORD(&reg->host_cmd, HC_RESET_RISC);
-    WRT_REG_WORD(&reg->host_cmd, HC_RELEASE_RISC);
-    WRT_REG_WORD(&reg->host_cmd, HC_DISABLE_BIOS);
+	/* Disable ISP chip */
+	ha->flags.online = 0;
+	WRT_REG_WORD(&reg->ictrl, ISP_RESET);
+	WRT_REG_WORD(&reg->host_cmd,
+		     HC_RESET_RISC | HC_RELEASE_RISC | HC_DISABLE_BIOS);
+	RD_REG_WORD(&reg->id_l);	/* Flush PCI write */
 
-#ifdef QL_DEBUG_LEVEL_3
-    LEAVE("qla1280_reset_adapter");
-#endif
+	LEAVE("qla1280_reset_adapter");
 }
 
 /*
@@ -3813,38 +3521,34 @@
  *
  * Input:
  *      ha   = adapter block pointer.
- *      b    = SCSI BUS number
- *      t    = SCSI ID
- *      l    = SCSI LUN
+ *      bus  = SCSI BUS number
+ *      id   = SCSI ID
+ *      lun  = SCSI LUN
  *      type = marker modifier
  */
-STATIC void
-qla1280_marker(scsi_qla_host_t *ha, uint8_t b, uint32_t t, uint32_t l, uint8_t type)
+static void
+qla1280_marker(struct scsi_qla_host *ha, int bus, int id, int lun, u8 type)
 {
-    mrk_entry_t     *pkt;
+	struct mrk_entry *pkt;
 
-#ifdef QL_DEBUG_LEVEL_3
-    ENTER("qla1280_marker");
-#endif
+	ENTER("qla1280_marker");
 
-    /* Get request packet. */
-    if ( (pkt = (mrk_entry_t *)qla1280_req_pkt(ha)) )
-    {
-        pkt->entry_type = MARKER_TYPE;
-        pkt->lun = (uint8_t)l;
-        pkt->target = (uint8_t)(b ? (t | BIT_7) : t);
-        pkt->modifier = type;
+	/* Get request packet. */
+	if ((pkt = (struct mrk_entry *) qla1280_req_pkt(ha))) {
+		pkt->entry_type = MARKER_TYPE;
+		pkt->lun = (uint8_t) lun;
+		pkt->target = (uint8_t) (bus ? (id | BIT_7) : id);
+		pkt->modifier = type;
+		pkt->entry_status = 0;
 
-        /* Issue command to ISP */
-        qla1280_isp_cmd(ha);
-    }
+		/* Issue command to ISP */
+		qla1280_isp_cmd(ha);
+	}
 
-#ifdef QL_DEBUG_LEVEL_3
-    LEAVE("qla1280_marker");
-#endif
+	LEAVE("qla1280_marker");
 }
 
-#if  QLA1280_64BIT_SUPPORT
+
 /*
  * qla1280_64bit_start_scsi
  *      The start SCSI is responsible for building request packets on
